"""Rename valid_till_date to valid_until_date

Revision ID: c76866dcc23c
Revises: 98836fb06355
Create Date: 2024-02-22 14:52:07.204044

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'c76866dcc23c'
down_revision = '98836fb06355'
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('core_eia860m__changelog_generators', schema=None) as batch_op:
        batch_op.add_column(sa.Column('valid_until_date', sa.Date(), nullable=True, comment='The record in the changelog is valid until this date. The record is valid from the report_date up until but not including the valid_until_date.'))
        batch_op.drop_column('valid_till_date')

    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    with op.batch_alter_table('core_eia860m__changelog_generators', schema=None) as batch_op:
        batch_op.add_column(sa.Column('valid_till_date', sa.DATE(), nullable=True))
        batch_op.drop_column('valid_until_date')

    # ### end Alembic commands ###
